## codeblocks 17.12+dfsg

=== src/plugins/astyle/astyle/Makefile ===
# Make file for GCC compiler on Linux or compatible OS

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -Wall -Wextra -fno-rtti -fno-exceptions -std=c++11
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CXX = g++
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.7.so $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.7d.so $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.7j.so $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.7jd.so $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

=== src/tools/cbp2make/lib/tinyxml/Makefile ===
#****************************************************************************
#
# Makefile for TinyXml test.
# Lee Thomason
# www.grinninglizard.com
#
# This is a GNU make (gmake) makefile
#****************************************************************************

# DEBUG can be set to YES to include debugging info, or NO otherwise
DEBUG          := NO

# PROFILE can be set to YES to include profiling info, or NO otherwise
PROFILE        := NO

# TINYXML_USE_STL can be used to turn on STL support. NO, then STL
# will not be used. YES will include the STL files.
TINYXML_USE_STL := NO

#****************************************************************************

CC     := gcc
CXX    := g++
LD     := g++
AR     := ar rc
RANLIB := ranlib

DEBUG_CFLAGS     := -Wall -Wno-format -g -DDEBUG
RELEASE_CFLAGS   := -Wall -Wno-unknown-pragmas -Wno-format -O3

LIBS		 :=

DEBUG_CXXFLAGS   := ${DEBUG_CFLAGS} 
RELEASE_CXXFLAGS := ${RELEASE_CFLAGS}

DEBUG_LDFLAGS    := -g
RELEASE_LDFLAGS  :=

ifeq (YES, ${DEBUG})
   CFLAGS       := ${DEBUG_CFLAGS}
   CXXFLAGS     := ${DEBUG_CXXFLAGS}
   LDFLAGS      := ${DEBUG_LDFLAGS}
else
   CFLAGS       := ${RELEASE_CFLAGS}
   CXXFLAGS     := ${RELEASE_CXXFLAGS}
   LDFLAGS      := ${RELEASE_LDFLAGS}
endif

ifeq (YES, ${PROFILE})
   CFLAGS   := ${CFLAGS} -pg -O3
   CXXFLAGS := ${CXXFLAGS} -pg -O3
   LDFLAGS  := ${LDFLAGS} -pg
endif

#****************************************************************************
# Preprocessor directives
#****************************************************************************

ifeq (YES, ${TINYXML_USE_STL})
  DEFS := -DTIXML_USE_STL
else
  DEFS :=
endif

#****************************************************************************
# Include paths
#****************************************************************************

#INCS := -I/usr/include/g++-2 -I/usr/local/include
INCS :=


#****************************************************************************
# Makefile code common to all platforms
#****************************************************************************

CFLAGS   := ${CFLAGS}   ${DEFS}
CXXFLAGS := ${CXXFLAGS} ${DEFS}

#****************************************************************************
# Targets of the build
#****************************************************************************

OUTPUT := xmltest

all: ${OUTPUT}


#****************************************************************************
# Source files
#****************************************************************************

SRCS := tinyxml.cpp tinyxmlparser.cpp xmltest.cpp tinyxmlerror.cpp tinystr.cpp

# Add on the sources for libraries
SRCS := ${SRCS}

OBJS := $(addsuffix .o,$(basename ${SRCS}))

#****************************************************************************
# Output
#****************************************************************************

${OUTPUT}: ${OBJS}
	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

#****************************************************************************
# common rules
#****************************************************************************

# Rules for compiling source files to object files
%.o : %.cpp
	${CXX} -c ${CXXFLAGS} ${INCS} $< -o $@

%.o : %.c
	${CC} -c ${CFLAGS} ${INCS} $< -o $@

dist:
	bash makedistlinux

clean:
	-rm -f core ${OBJS} ${OUTPUT}

depend:
	#makedepend ${INCS} ${SRCS}

tinyxml.o: tinyxml.h tinystr.h
tinyxmlparser.o: tinyxml.h tinystr.h
xmltest.o: tinyxml.h tinystr.h
tinyxmlerror.o: tinyxml.h tinystr.h

=== debian/changelog ===
codeblocks (17.12+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Nov 2019 11:52:12 -0800

codeblocks (17.12+dfsg-1) unstable; urgency=medium

  New upstream release (Closes: #886062)

  [ Vincent Cheng ]
  * Remove Michael Casadevall from Uploaders in d/control. (Closes: #841466)

  [ David Prévot ]
  * Use secure copyright file specification URI.
  * Transition to automatic debug package (from: codeblocks-dbg).
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
    + debian/rules: Call dh_missing rather than using dh_install --list-missing.
  * debian/copyright: Use spaces rather than tabs in continuation lines.
  * Update Vcs-* headers to use salsa repository.
  * Upstream renamed (lib)astyle as (lib)Astyle
  * d/control
    + Build-Depends:
      - Use libwxgtk3.0-gtk3-dev instead of libwxgtk3.0-dev (Closes: #933407)
      - Use libgtk-3-dev instead of libgtk2.0-dev
      - Add libboost-system-dev and libtinyxml-dev
      - Drop dh-autoreconf
    + Drop versioned dependency satisfied in (old)stable
    + Add self to Uploaders
    + Add Multi-Arch hints
  * d/rules
    + drop useless dh options (default since dh 10)
    + include /usr/share/dpkg/default.mk
    + Drop SOURCE_DATE_EPOCH assignment
    + Drop /usr/share/dpkg/buildflags.mk inclusion
  * Use debian/clean instead of override_dh_auto_clean
  * Drop lintian-overrides about tinyxml since the system library is now used
  * Install upstream appdata
  * Move more architecture-independent files to codeblocks-common
  * Remove unused files from debian/ directory
  * Update Standards-Version to 4.4.1
  * Update copyright

 -- David Prévot <taffit@debian.org>  Tue, 29 Oct 2019 16:10:57 -1000

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>, David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 12),
               libboost-dev,
               libboost-system-dev,
               libbz2-dev,
               libgamin-dev,
               libgtk-3-dev,
               libhunspell-dev,
               libtinyxml-dev,
               libwxgtk3.0-gtk3-dev,
               zip,
               zlib1g-dev
Standards-Version: 4.4.1
Homepage: http://codeblocks.org
Vcs-Git: https://salsa.debian.org/debian/codeblocks.git
Vcs-Browser: https://salsa.debian.org/debian/codeblocks

Package: codeblocks
Architecture: any
Section: devel
Depends: codeblocks-common (= ${source:Version}),
         libcodeblocks0,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gcc | g++, gdb, xterm
Suggests: codeblocks-contrib, libwxgtk3.0-dev
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)

Package: codeblocks-common
Architecture: all
Depends: ${misc:Depends}
Replaces: codeblocks (<< 17)
Breaks: codeblocks (<< 17)
Multi-Arch: foreign
Description: common files for Code::Blocks IDE
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: binutils, file, ${misc:Depends}, ${shlibs:Depends}
Recommends: codeblocks
Description: Code::Blocks shared library
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-contrib
Architecture: any
Depends: codeblocks (= ${binary:Version}),
         libgamin0,
         libwxsmithlib0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: valgrind
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code profiler (based on gprof) and code statistics (SLOCs etc)
    * Copy strings
    * DragScroll (enhances mouse operations)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith AUI and wxSmith contrib items
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Regular expression testbed
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: libcodeblocks0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Code::Blocks development files (SDK)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development files (headers and libraries) for
 creating Code::Blocks plugins.

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: libcodeblocks0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith shared library.

Package: libwxsmithlib-dev
Architecture: any
Section: libdevel
Depends: libwxsmithlib0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: wxSmith development files (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith development libraries and headers.

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,uversionmangle=s/-rc/~rc/;s/.f/~f/;s/.suse/~suse/;s/-amd64/~amd64/;s/-i386/~i386/;s/-1$//,dversionmangle=s/\+dfsg//" \
https://sf.net/codeblocks/codeblocks[_\-](\d[^_l]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## codeblocks 17.12.rpi1

=== debian/changelog ===
codeblocks (17.12.rpi1) stretch; urgency=medium

  * Remove libboost1.40-dev dependency
  * Use libwxgtk3.0-dev

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 10 Oct 2018 16:29:27 +0100

codeblocks (17.xx.RC1) UNRELEASED; urgency=medium

  * 17.xx release candidate 1

 -- Jens Lody <jens@odeblocks.org>  Tue, 31 Oct 2017 23:43:23 +0100

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: Jens Lody <jens@codeblocks.org>
Homepage: http://www.codeblocks.org
Build-Depends: debhelper (>= 7.4.11~)
 , cdbs
 , automake (>= 1.9)
 , libtool (>= 1.4)
 , libwxgtk3.0-dev
 , wx-common
 , zip
 , libbz2-dev
 , zlib1g-dev
 , libgtk2.0-dev
 , libgamin-dev
 , libboost-dev
 , libboost-system-dev
 , libhunspell-dev
 , libfontconfig1-dev
 , libglib2.0-dev
Standards-Version: 3.9.1

Package: codeblocks
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks-common (= ${source:Version})
 , libcodeblocks0 (= ${binary:Version})
 , xterm
Recommends:
 gcc | g++
 , gdb
Suggests:
 libwxgtk2.8-dev | libwxgtk3.0-dev
 , wx-common
 , codeblocks-contrib
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
    * Occurrences highlighter
    * Open files list

Package: codeblocks-common
Architecture: all
Breaks: codeblocks (<< ${binary:Version})
Replaces: codeblocks (<< ${binary:Version})
Depends: ${misc:Depends}
Description: common files for Code::Blocks IDE
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Recommends: codeblocks
Description: Code::Blocks shared libraries
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks (= ${binary:Version})
Description: Code::Blocks debugging libraries
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the debugging libraries for the 'codeblocks' and the
 'libcodeblockso' package.

Package: codeblocks-contrib
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , libwxsmithlib0 (= ${binary:Version})
 , codeblocks-libwxcontrib0 (= ${binary:Version})
 , codeblocks-contrib-common (= ${source:Version})
Recommends:
 valgrind
 , cppcheck
 , cscope
 , cccc
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Autoversioning
    * BrowseTracker
    * Cccc
    * Code statistics (SLOCs etc)
    * Codesnippets
    * Copy strings
    * CppCheck
    * Cscope
    * DoxyBlocks
    * DragScroll (enhances mouse operations)
    * EditorConfig
    * EditorTweaks
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * FileManager
    * Header fixup
    * Help
    * HexEditor
    * IncrementalSearch
    * Keyboard shortcuts configuration
    * CB koders
    * Library finder
    * MouseSap
    * NassiShneiderman
    * Profiler (based on gprof)
    * ProjectOptionsManipulator
    * Regular expression testbed
    * Reopen last closed editor(s) via menu or hotkey
    * Smartindent plugin (cpp, HDL, Fortran, Lua, Pascal, Python, XML)
    * Spellchecker plugin
    * Symbol table plugin
    * ThreadSearch
    * ToolsPlus
    * Valgrind
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith contrib items
    * wxSmith AUI

Package: codeblocks-libwxcontrib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Description: Code::Blocks shared libraries for wxContribItems
 This package contains the shared libraries for the wxContribItems used by wxSmith .
 Contrib items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxTreeList
    * wxCustomButton
    * wxLED

Package: codeblocks-contrib-common
Architecture: all
Depends: ${misc:Depends}
Breaks: codeblocks-contrib (<< ${binary:Version})
Replaces: codeblocks-contrib (<< ${binary:Version})
Description: common files for the contrib plugins for Code::Blocks IDE
 The contrib plugins extend Code::Blocks functionality.
 This package contains the architecture-independent files of the
 codeblocks-contrib plugins.

Package: codeblocks-contrib-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks-contrib (= ${binary:Version})
 , codeblocks-dbg (= ${binary:Version})
Description: Debugging libraries for the Code::Blocks contrib plugins
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code statistics (SLOCs etc)
    * Copy strings
    * Cscope
    * DoxyBlocks
    * DragScroll (enhances mouse operations)
    * EditorConfig
    * EditorTweaks
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith contrib items
    * wxSmith AUI
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Profiler (based on gprof)
    * ProjectOptionsManipulator
    * Regular expression testbed
    * Reopen last closed editor(s) via menu or hotkey
    * Spellchecker plugin
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck
    * NassiShneiderman
 .
 This package contains the debugging libraries for the 'codeblocks-contrib' package and
 the wxsmith-packages.

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
 , codeblocks-headers (= ${source:Version})
Description: Code::Blocks development libraries (SDK)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development libraries for creating plugins
 for the Code::Blocks IDE.

Package: codeblocks-headers
Architecture: all
Depends: ${misc:Depends}
 , codeblocks-dev (>= ${source:Version})
 , codeblocks-dev (<< ${source:Version}.1~)
Conflicts: codeblocks-dev (<< ${source:Version})
Description: Code::Blocks development headers (SDK)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development headers for creating plugins
 for the Code::Blocks IDE.

Package: codeblocks-wxcontrib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , codeblocks-libwxcontrib0 (= ${binary:Version})
Description: Code::Blocks development libraries for wxContribItems
 This package contains the development libraries for the wxContribItems used by wxSmith .
 Items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxCustomButton
    * wxLED
 .
 This package contains the development libraries needed to use the wxContribItems in own
 programs.

Package: codeblocks-wxcontrib-headers
Architecture: all
Depends: ${misc:Depends}
 , codeblocks-wxcontrib-dev (>= ${source:Version})
 , codeblocks-wxcontrib-dev (<< ${source:Version}.1~)
Conflicts: codeblocks-wxcontrib-dev (<< ${source:Version})
Description: Code::Blocks development headers for wxContribItems
 This package contains the development headers for the wxContribItems used by wxSmith .
 Items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxCustomButton
    * wxLED
 .
 This package contains the development headers needed to use the wxContribItems in own
 programs.

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes

## codeblocks 20.03

=== debian/changelog ===
codeblocks (20.03-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu++14 to workaround FTBFS with gcc 11.
    (Closes: #984020)

 -- Adrian Bunk <bunk@debian.org>  Mon, 08 Nov 2021 15:51:13 +0200

codeblocks (20.03-3) unstable; urgency=medium

  * Fix FTBFS on armel/armhf (Closes: #958085)

 -- David Prévot <taffit@debian.org>  Sat, 18 Apr 2020 09:47:24 -1000

codeblocks (20.03-2) unstable; urgency=medium

  * Protect asm("int3") if defined(LOGGING).
    This hopefully fixes FTBFS on non Intel arch.

 -- David Prévot <taffit@debian.org>  Thu, 02 Apr 2020 16:52:55 -1000

codeblocks (20.03-1) unstable; urgency=medium

  New upstream release

  * debian/watch: Drop uversionmangle
  * debian/copyright:
    + Revert "Exclude prebuilt Windows binaries and Java objects from source"
    + Update copyright
  * debian/*.install:
    + Shorten a bit some install files
    + Update installed files
  * debian/codeblocks.lintian-override: Drop unused override
  * debian/control:
    + Build-Depend on libastyle-dev
    + Depend on libastyle3
    + Update Standards-Version to 4.5.0
  * debian/rules: Add bindnow hardening flag

 -- David Prévot <taffit@debian.org>  Thu, 02 Apr 2020 10:45:55 -1000

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>, David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 12),
               libastyle-dev,
               libboost-dev,
               libboost-system-dev,
               libbz2-dev,
               libgamin-dev,
               libgtk-3-dev,
               libhunspell-dev,
               libtinyxml-dev,
               libwxgtk3.0-gtk3-dev,
               zip,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: http://codeblocks.org
Vcs-Git: https://salsa.debian.org/debian/codeblocks.git
Vcs-Browser: https://salsa.debian.org/debian/codeblocks

Package: codeblocks
Architecture: any
Section: devel
Depends: codeblocks-common (= ${source:Version}),
         libastyle3,
         libcodeblocks0,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gcc | g++, gdb, xterm
Suggests: codeblocks-contrib, libwxgtk3.0-dev
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)

Package: codeblocks-common
Architecture: all
Depends: ${misc:Depends}
Replaces: codeblocks (<< 17)
Breaks: codeblocks (<< 17)
Multi-Arch: foreign
Description: common files for Code::Blocks IDE
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: binutils, file, ${misc:Depends}, ${shlibs:Depends}
Recommends: codeblocks
Description: Code::Blocks shared library
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-contrib
Architecture: any
Depends: codeblocks (= ${binary:Version}),
         libgamin0,
         libwxsmithlib0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: valgrind
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code profiler (based on gprof) and code statistics (SLOCs etc)
    * Copy strings
    * DragScroll (enhances mouse operations)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith AUI and wxSmith contrib items
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Regular expression testbed
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: libcodeblocks0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Code::Blocks development files (SDK)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development files (headers and libraries) for
 creating Code::Blocks plugins.

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: libcodeblocks0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith shared library.

Package: libwxsmithlib-dev
Architecture: any
Section: libdevel
Depends: libwxsmithlib0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: wxSmith development files (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith development libraries and headers.

=== debian/rules ===
#!/usr/bin/make -f

NUMJOBS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
else
	DEB_BUILD_OPTIONS += parallel=$(NUMJOBS)
	export DEB_BUILD_OPTIONS
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
# Disable WXDEBUG checks, which wx3.0 defaults to enabling but were off by
# default in wx2.8, to address issues such as #736368.
# Also enable reproducible builds by ensuring that timestamps are reproducible;
# see #824182.
export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG \
	-DBUILD_DATE="\"\\\"`date -u -d @$(SOURCE_DATE_EPOCH) +%Y-%m-%d`\\\"\"" \
	-DBUILD_TIME="\"\\\"`date -u -d @$(SOURCE_DATE_EPOCH) +%T`\\\"\""

export DEB_CXXFLAGS_MAINT_APPEND += -std=gnu++14

%:
	dh $@

override_dh_auto_configure:
	# prevents FTBFS
	touch $(CURDIR)/debian/codeblocks-headers.install.wx30
	
	dh_auto_configure -- --with-contrib-plugins=all \
	                     --disable-silent-rules \
	                     --libdir=\$${exec_prefix}/lib

override_dh_install:
	find $(CURDIR)/debian/tmp -name "*.la" -delete
	dh_install

override_dh_strip:
	dh_strip --dbgsym-migration='codeblocks-dbg (<< 17)'

overide_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/codeblocks/plugins -Xusr/lib/codeblocks/wxContribItems

override_dh_shlibdeps:
	dh_shlibdeps -Xusr/lib/codeblocks/plugins

## codeblocks 20.03+svn13046

=== debian/changelog ===
codeblocks (20.03+svn13046-0.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * add support for loongarch64 (Closes: #1053785)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 18:21:31 +0200

codeblocks (20.03+svn13046-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062090

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:26:54 +0000

codeblocks (20.03+svn13046-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop FileManager. (Closes: #1038807)

 -- Bastian Germann <bage@debian.org>  Tue, 24 Oct 2023 17:47:28 +0000

codeblocks (20.03+svn13046-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 20.03+svn13046. (Closes: #1019830)
  * Upstream support riscv64. (Closes: #1011502)
  * d/patch: add revision.m4
  * adjust usr/share/appdata/codeblocks.appdata.xml
    to usr/share/metainfo/codeblocks.appdata.xml
  * add source/lintian-overrides
  * rebase d/patch

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 20 Nov 2022 15:12:29 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Vincent Cheng <vcheng@debian.org>, David Prévot <taffit@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
                libastyle-dev,
                libboost-dev,
                libboost-system-dev,
                libbz2-dev,
-               libgamin-dev,
                libgtk-3-dev,
                libhunspell-dev,
                libtinyxml-dev,
-               libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev,
                zip,
                zlib1g-dev
 Standards-Version: 4.5.0
@@ -25,7 +24,7 @@
 Section: devel
 Depends: codeblocks-common (= ${source:Version}),
          libastyle3,
-         libcodeblocks0,
+         libcodeblocks0t64,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gcc | g++, gdb, xterm
@@ -59,7 +58,10 @@
  .
  This package contains the architecture-independent files of Code::Blocks.
 
-Package: libcodeblocks0
+Package: libcodeblocks0t64
+Provides: ${t64:Provides}
+Replaces: libcodeblocks0
+Breaks: libcodeblocks0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: binutils, file, ${misc:Depends}, ${shlibs:Depends}
@@ -85,8 +87,7 @@
 Package: codeblocks-contrib
 Architecture: any
 Depends: codeblocks (= ${binary:Version}),
-         libgamin0,
-         libwxsmithlib0 (= ${binary:Version}),
+         libwxsmithlib0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: valgrind
@@ -122,7 +123,7 @@
 Package: codeblocks-dev
 Architecture: any
 Section: libdevel
-Depends: libcodeblocks0 (= ${binary:Version}), ${misc:Depends}
+Depends: libcodeblocks0t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Code::Blocks development files (SDK)
  Code::Blocks is a cross-platform Integrated Development Environment (IDE).
@@ -143,10 +144,13 @@
  This package contains the development files (headers and libraries) for
  creating Code::Blocks plugins.
 
-Package: libwxsmithlib0
+Package: libwxsmithlib0t64
+Provides: ${t64:Provides}
+Replaces: libwxsmithlib0
+Breaks: libwxsmithlib0 (<< ${source:Version})
 Architecture: any
 Section: libs
-Depends: libcodeblocks0 (= ${binary:Version}),
+Depends: libcodeblocks0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: codeblocks-contrib (= ${binary:Version})
@@ -171,7 +175,7 @@
 Package: libwxsmithlib-dev
 Architecture: any
 Section: libdevel
-Depends: libwxsmithlib0 (= ${binary:Version}), ${misc:Depends}
+Depends: libwxsmithlib0t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: wxSmith development files (Code::Blocks plugin for RAD GUI editing)
  Code::Blocks is a cross-platform Integrated Development Environment (IDE).

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
https://sf.net/codeblocks/codeblocks[_\-]([\d\.]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
